[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#288269: localechooser: Can cause problems in floppy/netboot installations for unstable

Package: localechooser
Version: 0.03

This week I did a netboot installation on Sparc and selected an unstable 

After "Download installer components" I noticed there were _two_ items 
"Choose language" in the menu. /me was completely baffled.
When I later repeated the installation I noticed that localechooser was 
automatically installed during components installation.

This leads to the following comments:
- Can we prevent the installation of localechooser if languagechooser is
  already installed?
- The current title for localechooser is apparently still "Choose
  language"; this does not really cover its functionality.

I also noticed the following messages in the installation log (messages) 
during base-installer:
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = (unset),
        LC_ALL = (unset),
        LANG = "C.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").

I think this must come from localechooser as I've not seen this before 
(and languagechooser does not support C). I selected en/NL in 
languagechooser/countrychooser at the start of the installation.
Is C.UTF-8 a supported locale?

Reply to: